API Endpoints¶
Here you can find a reference of all supported API endpoints. If you want an interactive display of the capabilities of our API, you can use the provided swagger UI (or our more high-level ohsome dashboard).
Statistics¶
- POST /stats/features/{measure}.json¶
Aggregate features by {measure} as time series.
Nodes, ways, and relations tagged as
type=multipolygonortype=boundaryare included. You can not derive statistics for all other relations.- Parameters:
measure (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /stats/features/{measure}.csv¶
Aggregate features by {measure} as time series.
CSV Response Format:
Delimiter:
;Comments:
#Line terminator:
\nQuote character:
\
- Parameters:
measure (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /stats/contributors/count.json¶
Active contributors per time bin.
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /stats/contributors/count.csv¶
Active contributors per time bin.
CSV Response Format:
Delimiter:
;Comments:
#Line terminator:
\nQuote character:
\
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /stats/currentness/{measure}.json¶
Currentness of features in time bins.
- Parameters:
measure (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /stats/currentness/{measure}.csv¶
Currentness of features in time bins.
CSV Response Format:
Delimiter:
;Comments:
#Line terminator:
\nQuote character:
\
- Parameters:
measure (string)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
Statistics (Experimental)¶
- POST /stats/contributions/count.json¶
Contributions per time bin.
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /stats/contributions/count.csv¶
Active contributors per time bin.
CSV Response Format:
Delimiter:
;Comments:
#Line terminator:
\nQuote character:
\
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
Extraction¶
- POST /extraction/features.parquet¶
Download features.
Nodes, ways, and relations tagged as
type=multipolygonortype=boundaryare included. Other relations can be queried with the/extraction/collections.*endpoints.- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /extraction/features.parquet¶
Download features.
Nodes, ways, and relations tagged as
type=multipolygonortype=boundaryare included. Other relations can be queried with the/extraction/collections.*endpoints.- Query Parameters:
filter (string) – Filter for OSM data. Please refer to the ohsome filter language documentation. (Required)
aoi (string) – xmin, ymin, xmax, ymax (Required)
time ({'string', 'date-time'}) – (Required)
clip (boolean) – Whether to clip extracted features with AOI or not.
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /extraction/collections.parquet¶
Download collections.
Returns relations (not tagged as
type=multipolygonortype=boundary) as geometry collections. For each relation a separate row is returned for their linear, polygonal or point members- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /extraction/collections.parquet¶
Download collections.
Returns relations (not tagged as
type=multipolygonortype=boundary) as geometry collections. For each relation a separate row is returned for their linear, polygonal or point members- Query Parameters:
filter (string) –
Filter for OSM data. Please refer to the ohsome filter language documentation. (Required)
aoi (string) – xmin, ymin, xmax, ymax (Required)
time ({'string', 'date-time'}) – (Required)
member_filter ({'string', 'null'}) – Specific ohsome filter for members.
clip (boolean) – Whether to clip extracted features with AOI or not.
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /extraction/collections_members.parquet¶
Download collections members.
Returns relations (not tagged as
type=multipolygonortype=boundary) members.For each relation all members features are returned row by row.- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /extraction/collections_members.parquet¶
Download collections members.
Returns relations (not tagged as
type=multipolygonortype=boundary) members.For each relation all members features are returned row by row.- Query Parameters:
filter (string) –
Filter for OSM data. Please refer to the ohsome filter language documentation. (Required)
aoi (string) – xmin, ymin, xmax, ymax (Required)
time ({'string', 'date-time'}) – (Required)
member_filter ({'string', 'null'}) – Specific ohsome filter for members.
clip (boolean) – Whether to clip extracted features with AOI or not.
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
Extraction (Experimental)¶
- POST /extraction/contributions.parquet¶
Download contributions.
Nodes, ways, and relations tagged as
type=multipolygonortype=boundaryare included. Other relations can be queried with the/extraction/collections.*endpoints.- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /extraction/contributions.parquet¶
Download contributions.
Nodes, ways, and relations tagged as
type=multipolygonortype=boundaryare included. Other relations can be queried with the/extraction/collections.*endpoints.- Query Parameters:
filter (string) –
Filter for OSM data. Please refer to the ohsome filter language documentation. (Required)
aoi (string) – xmin, ymin, xmax, ymax (Required)
time (string) – Time range defined using a start/end timestamp (ISO-8601, UTC). Please take a look at the documentation. (Required)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
Filter Validation¶
- GET /filter/validation¶
Validate filter syntax.
- Query Parameters:
filter (string) –
Filter for OSM data. Please refer to the ohsome filter language documentation. (Required)
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- POST /filter/validation¶
Validate filter syntax.
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error